Package org.alfresco.rest.api.nodes
Class NodeChildrenRelation
- java.lang.Object
-
- org.alfresco.rest.api.nodes.NodeChildrenRelation
-
- All Implemented Interfaces:
MultiPartRelationshipResourceAction.Create<Node>,RelationshipResourceAction.Create<Node>,RelationshipResourceAction.Read<Node>,ResourceAction,org.springframework.beans.factory.InitializingBean
@RelationshipResource(name="children", entityResource=NodesEntityResource.class, title="Folder children") public class NodeChildrenRelation extends java.lang.Object implements RelationshipResourceAction.Read<Node>, RelationshipResourceAction.Create<Node>, MultiPartRelationshipResourceAction.Create<Node>, org.springframework.beans.factory.InitializingBean
Node Children - list folder children - create folder &/or empty file - create (ie. upload) file with content- Author:
- janv, Jamal Kaabi-Mofrad
-
-
Constructor Summary
Constructors Constructor Description NodeChildrenRelation()
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description voidafterPropertiesSet()java.util.List<Node>create(java.lang.String parentFolderNodeId, java.util.List<Node> nodeInfos, Parameters parameters)Create one or more nodes (folder or empty file) below parent folder.Nodecreate(java.lang.String parentFolderNodeId, org.springframework.extensions.webscripts.servlet.FormData formData, Parameters parameters, WithResponse withResponse)CollectionWithPagingInfo<Node>readAll(java.lang.String parentFolderNodeId, Parameters parameters)List folder children - returns a filtered/sorted/paged list of nodes that are immediate children of the parent foldervoidsetNodes(Nodes nodes)
-
-
-
Method Detail
-
setNodes
public void setNodes(Nodes nodes)
-
afterPropertiesSet
public void afterPropertiesSet()
- Specified by:
afterPropertiesSetin interfaceorg.springframework.beans.factory.InitializingBean
-
readAll
public CollectionWithPagingInfo<Node> readAll(java.lang.String parentFolderNodeId, Parameters parameters)
List folder children - returns a filtered/sorted/paged list of nodes that are immediate children of the parent folder- Specified by:
readAllin interfaceRelationshipResourceAction.Read<Node>- Parameters:
parentFolderNodeId- String id of parent folder - will also accept well-known alias, eg. -root- or -my- or -shared- Optional query parameters: - include - fields - where - orderBy - skipCount - maxItems - ... etc Please refer to OpenAPI spec for more details ! If parentFolderNodeId does not exist, EntityNotFoundException (status 404). If parentFolderNodeId does not represent a folder, InvalidArgumentException (status 400).parameters- - will never be null and will have the PAGING default values
-
create
public java.util.List<Node> create(java.lang.String parentFolderNodeId, java.util.List<Node> nodeInfos, Parameters parameters)
Create one or more nodes (folder or empty file) below parent folder. Note: for parent folder nodeId, can also use well-known alias, eg. -root- or -my- or -shared- If parentFolderNodeId does not exist, EntityNotFoundException (status 404). If parentFolderNodeId does not represent a folder, InvalidArgumentException (status 400).- Specified by:
createin interfaceRelationshipResourceAction.Create<Node>
-
create
public Node create(java.lang.String parentFolderNodeId, org.springframework.extensions.webscripts.servlet.FormData formData, Parameters parameters, WithResponse withResponse)
- Specified by:
createin interfaceMultiPartRelationshipResourceAction.Create<Node>
-
-